<?php

namespace App\Repositories\Eloquent;

use App\Models\Family;

class FamilyRepository extends BaseRepository
{
    protected function model(): string
    {
        return Family::class;
    }

    public function listing()
    {
        return $this->query()->withCount('students')->latest();
    }
}
